> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update an Orchestration

`PUT https://api.pagerduty.com/event_orchestrations/{id}`

Update a Global Event Orchestration.

Global Event Orchestrations allow you define a set of Global Rules and Router Rules, so that when you ingest events using the Orchestration's Routing Key your events will have actions applied via the Global Rules & then routed to the correct Service by the Router Rules, based on the event's content.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#event-orchestrations)

Scoped OAuth requires: `event_orchestrations.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of an Event Orchestration. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `orchestration` | object | yes |  |
| `orchestration.id` | string |  | ID of the Orchestration. Read-only. |
| `orchestration.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestration.name` | string |  | Name of the Orchestration. |
| `orchestration.description` | string |  | A description of this Orchestration's purpose. |
| `orchestration.team` | object |  | Reference to the team that owns the Orchestration. If none is specified, only admins have access. |
| `orchestration.team.id` | string |  |  |
| `orchestration.team.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestration.team.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestration.integrations` | array of object |  | Read-only. |
| `orchestration.integrations[].id` | string |  | ID of the Integration. Read-only. |
| `orchestration.integrations[].label` | string |  | Name of the Integration. |
| `orchestration.integrations[].parameters` | object |  | Read-only. |
| `orchestration.integrations[].parameters.routing_key` | string |  | Routing Key used to send Events to this Orchestration. Read-only. |
| `orchestration.integrations[].parameters.type` | string |  | Read-only. Default: `global`. |
| `orchestration.routes` | integer |  | Number of different Service Orchestration being routed to. Read-only. |
| `orchestration.created_at` | string (date-time) |  | The date the Orchestration was created at. Read-only. |
| `orchestration.created_by` | object |  | Reference to the user that has created the Orchestration. Read-only. |
| `orchestration.created_by.id` | string |  | Read-only. |
| `orchestration.created_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestration.created_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestration.updated_at` | string (date-time) |  | The date the Orchestration was last updated. Read-only. |
| `orchestration.updated_by` | object |  | Reference to the user that has updated the Orchestration last. Read-only. |
| `orchestration.updated_by.id` | string |  | Read-only. |
| `orchestration.updated_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `orchestration.updated_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `orchestration.version` | string |  | Version of the Orchestration. Read-only. |

Example: Example: Change name

```json
{
  "orchestration": {
    "name": "Go-Kart Orchestration"
  }
}
```

Example: Example: Change team

```json
{
  "orchestration": {
    "team": {
      "id": "PWL7QXS"
    }
  }
}
```

Example: Example: Change description

```json
{
  "orchestration": {
    "description": "Orchestration that does some stuff"
  }
}
```

## Response 200

The Orchestration that was updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `orchestration` | object |  | Same fields as `orchestration` above. |

Example: Response Example

```json
{
  "orchestration": {
    "id": "b02e973d-9620-4e0a-9edc-00fedf7d4694",
    "self": "https://api.pagerduty.com/event_orchestrations/b02e973d-9620-4e0a-9edc-00fedf7d4694",
    "name": "Go-Kart Orchestration",
    "description": "Orchestration that does some stuff",
    "team": {
      "id": "PWL7QXS",
      "type": "team_reference",
      "self": "https://api.pagerduty.com/teams/PWL7QXS"
    },
    "integrations": [
      {
        "id": "9c5ff030-12da-4204-a067-25ee61a8df6c",
        "label": "Go-Kart Orchestration Default Integration",
        "parameters": {
          "routing_key": "R028DIE06SNKNO6V5ACSLRV7Y0TUVG7T",
          "type": "global"
        }
      }
    ],
    "routes": 0,
    "created_at": "2021-11-18T16:42:01Z",
    "created_by": {
      "id": "P8B9WR8",
      "self": "https://api.pagerduty.com/users/P8B9WR8",
      "type": "user_reference"
    },
    "updated_at": "2021-11-19T11:42:32Z",
    "updated_by": {
      "id": "P8B9WR8",
      "self": "https://api.pagerduty.com/users/P8B9WR8",
      "type": "user_reference"
    },
    "version": "BrWLKQBLm8QO2ZYQ0GosHLxdbgWZ0ZR3"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 405

The request was received and recognized by the server, but its HTTP method was rejected for the requested resource.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 409

The request conflicts with the current state of the server.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
